Loading...
Searching...
No Matches
smart_ptr_list.h File Reference

Implementation of a list of smart-pointer-managed objects. More...

`#include "../type_traits"`
Include dependency graph for smart_ptr_list.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | cxx::Bits::Smart_ptr_list_item< T, STORE_T >
| List item for an arbitrary item in a Smart_ptr_list. More...
class | cxx::Bits::Smart_ptr_list< ITEM >
| List of smart-pointer-managed objects. More...

## Namespaces

namespace | cxx
| Our C++ library.
namespace | cxx::Bits
| Internal helpers for the cxx package.

## Detailed Description

Implementation of a list of smart-pointer-managed objects.

Definition in file smart_ptr_list.h.